<?php
/* Neuron person engine config */
return array_merge(include __DIR__ . '/Config.factory.php',[
    /* Konfigurasi translator Leave */
    'translator' => [
        'translation_file_patterns' => [
            [
                'type' => 'phparray',
                'base_dir' => __DIR__ . '/Resource/Language',  //lokasi file terjemahan
                'pattern' => '%s.php',           //file en_US.php, id_ID.php, dst
            ],
        ],
    ],
    /* Konfigurasi routing controller person */
    'router' => array(
        'routes' => array(
            /* Konfigurasi routing modul person */
            'person' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/person',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Neuron\Person\Controller',
                        'controller' => 'Index',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/[:controller[/:action]]', /* Set konfigurasi auto routing, selain default */
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
            /* Konfigurasi routing modul person widget */
            'widget_person' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/widget_person',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Neuron\Person\Controller\Widget', /* Set default routing fallback */
                        'controller' => 'Index',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/[:controller[/:action]]', /* Set konfigurasi auto routing, selain default */
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),
            
            /* Konfigurasi routing modul Leave */
            'api_person' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/api_person',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Neuron\Person\Controller\Api', /* Set default routing fallback */
                        'controller' => 'Index',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/[:controller[/:action]]', /* Set konfigurasi auto routing, selain default */
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),
        ),
    ),

    /* Mapping namespace controller ke class controller engine CRM */
    'controllers' => array(
        'invokables' => array(
            /* controllers for person */
            'Neuron\Person\Controller\Form' => 'Neuron\Person\Controller\Form',

            'Neuron\Person\Controller\Index' => 'Neuron\Person\Controller\Index',
            'Neuron\Person\Controller\Person' => 'Neuron\Person\Controller\Person',
            'Neuron\Person\Controller\Detail' => 'Neuron\Person\Controller\Detail',
            'Neuron\Person\Controller\Education' => 'Neuron\Person\Controller\Education',
            'Neuron\Person\Controller\Experience' => 'Neuron\Person\Controller\Experience',
            'Neuron\Person\Controller\Family' => 'Neuron\Person\Controller\Family',
            'Neuron\Person\Controller\Medical' => 'Neuron\Person\Controller\Medical',
            'Neuron\Person\Controller\Parameter' => 'Neuron\Person\Controller\Parameter',
            'Neuron\Person\Controller\Status' => 'Neuron\Person\Controller\Status',
            'Neuron\Person\Controller\Type' => 'Neuron\Person\Controller\Type',
            'Neuron\Person\Controller\Attribute' => 'Neuron\Person\Controller\Attribute',
            'Neuron\Person\Controller\AttributeType' => 'Neuron\Person\Controller\AttributeType',
            'Neuron\Person\Controller\Profile' => 'Neuron\Person\Controller\Profile',
            'Neuron\Person\Controller\Relation' => 'Neuron\Person\Controller\Relation',
            'Neuron\Person\Controller\Skill' => 'Neuron\Person\Controller\Skill',
            'Neuron\Person\Controller\SkillType' => 'Neuron\Person\Controller\SkillType',

            // Controller khusus Widget
            'Neuron\Person\Controller\Widget\Index' => 'Neuron\Person\Controller\Widget\Index',
            'Neuron\Person\Controller\Widget\Education' => 'Neuron\Person\Controller\Widget\Education',
            'Neuron\Person\Controller\Widget\Experience' => 'Neuron\Person\Controller\Widget\Experience',
            'Neuron\Person\Controller\Widget\Family' => 'Neuron\Person\Controller\Widget\Family',
            'Neuron\Person\Controller\Widget\Medical' => 'Neuron\Person\Controller\Widget\Medical',
            'Neuron\Person\Controller\Widget\Person' => 'Neuron\Person\Controller\Widget\Person',
            'Neuron\Person\Controller\Widget' => 'Neuron\Person\Controller\Widget',
            'Neuron\Person\Controller\Widget\Wdashboard' => 'Neuron\Person\Controller\Widget\Wdashboard',

            // Controller Khusus API
            'Neuron\Person\Controller\Api\Map' => 'Neuron\Person\Controller\Api\Map',
            'Neuron\Person\Controller\Api\Index' => 'Neuron\Person\Controller\Api\Index',
            'Neuron\Person\Controller\Api\Controller' => 'Neuron\Person\Controller\Api\Controller',
            'Neuron\Person\Controller\Api\User' => 'Neuron\Person\Controller\Api\User',
            'Neuron\Person\Controller\Api\Profile' => 'Neuron\Person\Controller\Api\Profile',
            'Neuron\Person\Controller\Api\Person' => 'Neuron\Person\Controller\Api\Person',
            'Neuron\Person\Controller\Api\Family' => 'Neuron\Person\Controller\Api\Family',
            'Neuron\Person\Controller\Api\Relation' => 'Neuron\Person\Controller\Api\Relation',
            'Neuron\Person\Controller\Api\Education' => 'Neuron\Person\Controller\Api\Education',
            'Neuron\Person\Controller\Api\Experience' => 'Neuron\Person\Controller\Api\Experience',
            'Neuron\Person\Controller\Api\Medical' => 'Neuron\Person\Controller\Api\Medical',
            'Neuron\Person\Controller\Api\Skill' => 'Neuron\Person\Controller\Api\Skill',
            

        ),
    ),

    /* Mapping action name ke file view, setiap action dan view harus didaftarkan disini */
    'view_manager' => array(
        'template_map' => array(
            'neuron/person/form/index'  => __DIR__.'/View/Form/Index.phtml',
            'neuron/person/form/create'  => __DIR__.'/View/Form/Create.phtml',

            'neuron/person/layout/form' => __DIR__ . '/View/Form.phtml',
            'neuron/person/form/create' => __DIR__ . '/View/Form/Create.phtml',
            'neuron/person/form/manage' => __DIR__ . '/View/Form/Manage.phtml',
            'neuron/person/form/detail' => __DIR__ . '/View/Form/Detail.phtml',
            'neuron/person/form/mapping' => __DIR__ . '/View/Form/Mapping.phtml',
            'neuron/person/form/form-resign' => __DIR__ . '/View/Form/formResign.phtml',
            'neuron/person/form/404' => __DIR__ . '/View/Form/404.phtml',
            'neuron/person/detail/crud' => __DIR__ . '/View/Detail/Crud.phtml',
            'neuron/person/education/list' => __DIR__ . '/View/Education/List.phtml',
            'neuron/person/education/crud' => __DIR__ . '/View/Education/Crud.phtml',
            'neuron/person/experience/list' => __DIR__ . '/View/Experience/List.phtml',
            'neuron/person/experience/crud' => __DIR__ . '/View/Experience/Crud.phtml',
            'neuron/person/family/list' => __DIR__ . '/View/Family/List.phtml',
            'neuron/person/family/crud' => __DIR__ . '/View/Family/Crud.phtml',
            'neuron/person/medical/list' => __DIR__ . '/View/Medical/List.phtml',
            'neuron/person/medical/crud' => __DIR__ . '/View/Medical/Crud.phtml',
            'neuron/person/contact/list' => __DIR__ . '/View/Contact/List.phtml',
            'neuron/person/contact/crud' => __DIR__ . '/View/Contact/Crud.phtml',
            'neuron/person/form/liststatus' => __DIR__ . '/View/Form/listStatus.phtml',
            'neuron/person/form/crudstatus' => __DIR__ . '/View/Form/crudStatus.phtml',
            'neuron/person/form/listtype' => __DIR__ . '/View/Form/listType.phtml',
            'neuron/person/form/crudtype' => __DIR__ . '/View/Form/crudType.phtml',
            'neuron/person/form/card' => __DIR__ . '/View/Form/Card.phtml',
            'neuron/person/form/starting-guide' => __DIR__.'/View/Form/starting-guide.phtml',
            
            'neuron/person/form/detail-new' => __DIR__.'/View/Form/detail-new.phtml',

            # Profile Component;
            ## Header
            'neuron/person/profile/header'  => __DIR__.'/View/Form/Profile/Header.phtml',
            'neuron/person/profile/header/about'  => __DIR__.'/View/Form/Profile/Header/AboutTab.phtml',
            'neuron/person/profile/header/contact'  => __DIR__.'/View/Form/Profile/Header/ContactTab.phtml',
            'neuron/person/profile/header/profile'  => __DIR__.'/View/Form/Profile/Header/ProfileTab.phtml',
            ## Body
            'neuron/person/profile/body'  => __DIR__.'/View/Form/Profile/Body.phtml',
            'neuron/person/profile/body/cv'  => __DIR__.'/View/Form/Profile/Body/Cv.phtml',
            'neuron/person/profile/body/family'  => __DIR__.'/View/Form/Profile/Body/Family.phtml',
            'neuron/person/profile/body/medical'  => __DIR__.'/View/Form/Profile/Body/Medical.phtml',
            'neuron/person/profile/body/document'  => __DIR__.'/View/Form/Profile/Body/Document.phtml',

            'neuron/person/form/upload'     => __DIR__ .'/View/Form/upload.phtml',

            'neuron/person/parameter/manage' => __DIR__ . '/View/Parameter/List.phtml',
            'neuron/person/parameter/crud' => __DIR__ . '/View/Parameter/Crud.phtml',

            ## Attribute
            'neuron/person/attribute/attribute-type'      => __DIR__.'/View/Attribute/attribute-type.phtml',
            'neuron/person/attribute/emp-attribute'      => __DIR__.'/View/Attribute/emp-attribute.phtml',
            'neuron/person/attribute/edit-attribute'      => __DIR__.'/View/Attribute/edit-attribute.phtml',

            'neuron/person/widget/detail-layout' => __DIR__ . '/View/Form/Widget/DetailLayout.phtml',
            'neuron/person/widget/profile' => __DIR__ . '/View/Form/Widget/MainProfile.phtml',
            'neuron/person/widget/cv' => __DIR__ . '/View/Form/Widget/Cv.phtml',

            'neuron/person/widget/contact' => __DIR__ . '/View/Form/Widget/PersonalContact.phtml',
            'neuron/person/widget/family' => __DIR__ . '/View/Form/Widget/PersonalFamily.phtml',
            'neuron/person/widget/medical' => __DIR__ . '/View/Form/Widget/PersonalMedical.phtml',
            'neuron/person/widget/document' => __DIR__ . '/View/Form/Widget/PersonalDocument.phtml',
            'neuron/person/widget/position-shift' => __DIR__ . '/View/Form/Widget/PositionShift.phtml',

            'neuron/person/widget/position-duties' => __DIR__ . '/View/Form/Widget/PositionDuties.phtml',
            'neuron/person/widget/etc' => __DIR__ . '/View/Form/Widget/Etcetera.phtml',
           
            'neuron/person/widget/salary' => __DIR__ . '/View/Form/Widget/Salary.phtml',
            'neuron/person/widget/tax' => __DIR__ . '/View/Form/Widget/SalaryTax.phtml',
            'neuron/person/widget/profile-config' => __DIR__ . '/View/Form/Widget/ProfileConfig.phtml',

            ## Wizard
            'neuron/person/form/wizard/wizard'      => __DIR__.'/View/Form/Wizard/Wizard.phtml',
            'neuron/person/form/wizard/step1'      => __DIR__.'/View/Form/Wizard/Step1.phtml',
            'neuron/person/form/user'      => __DIR__.'/View/Form/User.phtml',
            'neuron/person/form/wizard/step4'      => __DIR__.'/View/Form/Wizard/Step4.phtml',            
            'neuron/person/form/wizard/step-contact'      => __DIR__.'/View/Form/Wizard/StepContact.phtml',  

            ##profile content
            'neuron/person/form/profile/content/profile'      => __DIR__.'/View/Form/Profile/Content/Profile.phtml',
            'neuron/person/form/profile/content/experience'      => __DIR__.'/View/Form/Profile/Content/Experience.phtml',
            'neuron/person/form/profile/content/education'      => __DIR__.'/View/Form/Profile/Content/Education.phtml',
            'neuron/person/form/profile/content/medical'      => __DIR__.'/View/Form/Profile/Content/Medical.phtml',
            'neuron/person/form/profile/content/contact'      => __DIR__.'/View/Form/Profile/Content/Contact.phtml',
            'neuron/person/form/profile/content/skill'      => __DIR__.'/View/Form/Profile/Content/Skill.phtml',


            'neuron/person/layout/plain' => __DIR__ . '/View/Plain.phtml',
            'neuron/person/layout/blank' => __DIR__ . '/View/Blank.phtml',
			
			## Download CV			
            'neuron/person/form/downloadcv' => __DIR__ . '/View/Form/downloadCv.phtml',

            ## Skill
            'neuron/person/skill/list' => __DIR__ . '/View/Skill/List.phtml',
            'neuron/person/skill/form' => __DIR__ . '/View/Skill/Form.phtml',
            'neuron/person/skill/type/form' => __DIR__ . '/View/Skill/Type/Form.phtml',
            'neuron/person/skill/type/list' => __DIR__ . '/View/Skill/Type/List.phtml',

        ),
        'template_path_stack' => array(
            __DIR__ . '/View',
        ),
        'template_name' => array(
            'Neuron\Person' => 'layout/bare', /* nama layout untuk module neuron core */
        ),
    ),

    /* put internal lib config here -- will be integrated to NAF on install */
    'internal' => array(
        'tables' => array(
            'person' => 'person',
            'person_type' => 'person_type',
            'person_status' => 'person_status',
            'person_detail' => 'person_detail',
            'person_education' => 'person_education',
            'person_experiences' => 'person_experiences',
            'person_family' => 'person_family',
            'person_medical' => 'person_medical_history',
            'person_parameters' => 'person_parameters',
            'person_user_map' => 'person_user_map',
            'person_map' => 'person_user_map',
            'person_attribute_types' => 'person_attribute_types',
            'person_attributes' => 'person_attributes',
            'person_user_map' => 'person_user_map',
            'person_relation' => 'person_relation',
            'person_relation_status' => 'person_relation_status',
            'person_religion' => "person_religion",
            'person_skill_types' => "person_skill_types",
            'person_skill' => "person_skill"
        ),
        'starting_guide' => array(
            'person'     => '/person/index/starting-guide',
        ),
		
		/* icons map */
		'icons' => array(
            'mnu_employee' => 'fa-users',
            'mnu_employee_main' => 'fa-users-cog',
            'mnu_emp_attribute' => 'fa-id-card',
            'mnu_emp_upload' => 'fa-upload',
            'mnu_emp_status' => 'fa-user-check',
            'mnu_emp_type' => 'fa-user-tag',
            'mnu_emp_category' => 'fa-user-friends',
            'mnu_emp_turnover' => 'fa-handshake',
        ),
    ),
]);
